# Namespace Error.ERROR_CODE

Error

- Defined in: storage.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Error.ERROR_CODE

## Namespace Detail

Error.ERROR_CODE

## Field Detail

<static> <constant> Error.ERROR_CODE.BAD_PARAMETER
The input parameter has error.

Since:
  1.3

<static> <constant> Error.ERROR_CODE.DEVICE_ERROR
There was an error while accessing external storage devices.

Since:
  1.3

<static> <constant> Error.ERROR_CODE.IO_ERROR
There was an error while doing a file IO.

Since:
  1.3

<static> <constant> Error.ERROR_CODE.NETWORK_ERROR
The network has error connecting to the remote site.

Since:
  1.3

<static> <constant> Error.ERROR_CODE.SERVER_ERROR
The remote server returned error.

Since:
  1.3

<static> <constant> Error.ERROR_CODE.SYSTEM_ERROR
The signage monitor system had error while executing the command.

Since:
  1.3